# PsiEligibility::ExistingEligibilityModel

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**eligibility_end_date** | **String** | The last date possible for the candidate to schedule on. Java ISO_OFFSET_DATE_TIME format. | [optional] 
**candidate** | [**CandidateModel**](CandidateModel.md) |  | [optional] 
**portion_codes** | **Array&lt;String&gt;** | If required, specific portion codes may be supplied. | [optional] 
**schedule_start_date** | **String** | The first date possible for the candidate to schedule on. Java ISO_OFFSET_DATE_TIME format. | [optional] 
**eligibility_status_message** | **String** | Any pertinent message about why a candidate is not eligibile to scheduled yet. Common reasons can be because they have been blocked, have pending special accommodations or other similar reasons. Will be null if candidate is eligible to schedule. | [optional] 
**test_code** | **String** | The client specific test code for the eligibility to be created against. | [optional] 
**eligible_to_schedule** | **BOOLEAN** | Whether or not this candidate is eligibile to be scheduled. | [optional] 
**psi_eligiblity_id** | **String** | PSI&#39;s unique identifier for this eligibility. | [optional] 
**created_datetime** | **String** | Datetime when the eligibility was created. ISO 8601 format similar to  Java ISO_OFFSET_DATE_TIME format. | [optional] 
**client_eligibility_id** | **String** | Client&#39;s unique identifier for this eligibility if provided. | [optional] 
**status** | **String** | Only set on this object when returned back to client. Setting this has no effect when provided as part of a create or update. This is the 4 different eligibility statuses available for a candidate: REG01 is Registration Pending, REG02 is Registration approved, REG03 is Cancelled, REG04 is Scheduled | [optional] 


