# PsiEligibility::EligibilityModel

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**eligibility_end_date** | **String** | The last date possible for the candidate to schedule on. Java ISO_OFFSET_DATE_TIME format. Required when creating a new eligibility. | [optional] 
**candidate** | [**CandidateModel**](CandidateModel.md) |  | 
**portion_codes** | **Array&lt;String&gt;** | If required, specific portion codes may be supplied. | [optional] 
**schedule_start_date** | **String** | The first date possible for the candidate to schedule on. Java ISO_OFFSET_DATE_TIME format. Required when creating a new eligibility. | [optional] 
**test_code** | **String** | The client specific test code for the eligibility to be created against. | 
**client_eligibility_id** | **String** | Client provided unique key for this eligibility. | [optional] 


